<!--
title: Gaming on Garuda
description: No pain, no game
published: true
date: 2023-02-18T19:07:09.435Z
tags: how-to, gaming
editor: ckeditor
dateCreated: 2021-04-18T19:11:40.245Z
-->

<h2 style="text-align:justify;">How it works</h2>
<p style="text-align:justify;">If you want your Windows games to work on Garuda Linux, you should know how they work, at least on some basic level. This page was created to help you with your struggles in setting and achieving your expectations from gaming on Linux. Overall, just about anything related to gaming is already baked into the Garuda Gamer app and here we will provide general info on how all of this works.&nbsp;</p>
<p style="text-align:justify;">So first of all, <strong>not all games from Windows work on Linux</strong>. But those that work are playable thanks to these three major components:</p>
<ul>
  <li style="text-align:justify;"><strong>Wine</strong> - a compatibility layer to run Windows programs on Linux using native Linux libraries, API's and drivers.</li>
  <li style="text-align:justify;"><strong>Proton</strong> - fork of Wine by Valve, with some additional tools for additional compatibility. Baked in Steam on Linux.</li>
  <li style="text-align:justify;"><strong>Vulkan</strong> - cross-platform open-source graphics API that's able to utilize most DirectX calls present in Windows games. DirectX is a set of proprietary API's intended for use on Microsoft Windows and Xbox, primarily. Although you can install DirectX on Wine, a "more native” alternative is to use Vulkan.</li>
</ul>
<p style="text-align:justify;">If you want to know whether or not your game works on Linux, you should visit <a href="https://www.protondb.com"><strong>protondb.com</strong></a> and <a href="https://www.winehq.org"><strong>winehq.org</strong></a> and search for your game here. Or just use <a href="https://searchg.garudalinux.org">Whoogle</a> / <a href="https://searx.garudalinux.org">Searx</a> which are already baked in our default Firedragon browser.</p>
<p style="text-align:justify;">Also, there are two forks of Wine and Proton to play even more games with higher performance:</p>
<ul>
  <li style="text-align:justify;"><a href="https://github.com/Frogging-Family/wine-tkg-git"><strong>wine-tkg</strong></a><strong> </strong>- developed by tkg &amp; other fellows from Frogging Family. You can visit their <a href="https://discord.com/invite/jRy3Nxk">Discord server</a> if you want to squeeze more FPS and hack your system for some extra extras 😉</li>
  <li style="text-align:justify;"><a href="https://github.com/GloriousEggroll/proton-ge-custom"><strong>proton-ge</strong></a><strong> </strong>- made by GloriousEggroll and another community of hackers on <a href="https://discord.com/invite/6y3BdzC">SHITTYWOK</a> Discord server.</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">GUI frontends for Wine / Proton</h2>
<figure class="image"><img src="/screenshots/lutris.png">
  <figcaption>Lutris providing an easy way to install games on Linux</figcaption>
</figure>
<p style="text-align:justify;">As Wine and Proton contain only a very limited GUI, there are a number of popular apps used to configure them for various purposes:&nbsp;</p>
<ol>
  <li style="text-align:justify;"><a href="https://www.playonlinux.com"><strong>PlayOnLinux</strong></a><strong>/</strong><a href="https://github.com/brezerk/q4wine"><strong>Q4Wine</strong></a> - basic apps for installing/uninstalling/playing games with default Wine (although you can configure them to use Proton and Vulkan). Even a child can use them, I guarantee!</li>
  <li style="text-align:justify;"><a href="https://lutris.net/"><strong>Lutris</strong></a> - an Open Source gaming platform for Linux, has a lot more features and settings than PlayOnLinux. You can sync Lutris with your Steam account, use emulators to launch games for old consoles and obscure OS's, manage your Wine versions, use custom patches, etc.</li>
  <li style="text-align:justify;"><a href="https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher"><strong>Heroic Games Launcher</strong></a><strong> </strong>and <a href="https://github.com/derrod/legendary">Legendary</a> are both free and open-source replacements for Epic Games Store, but they are still in the experimental stage so no “free game every week” is provided, but you can launch your games at least.</li>
  <li style="text-align:justify;"><strong>Winetricks/Protontricks</strong> is a simple GUI to configure your Wine/Proton. Usually, Winetricks is shipped with wine, but Protontricks needs to be explicitly installed.</li>
  <li style="text-align:justify;"><strong>Steam on Linux</strong> is shipped in two versions: Runtime and Native. If your game doesn't launch in one, you can try the other. Steam can use Proton if you enable beta-version in Settings, and after that most of the games from Windows should work.</li>
</ol>
<p style="text-align:justify;">Other GUI apps are not so popular, and nobody cares 😔</p>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Additional components</h2>
<p style="text-align:justify;">Also, some additional components for Wine/Proton that you might see:</p>
<ul>
  <li style="text-align:justify;"><a href="https://github.com/iXit/wine-nine-standalone">Gallium Nine</a> - used for translating DirectX 9 calls better</li>
  <li style="text-align:justify;">Fsync is available only with patched kernels like TKG kernels and generally enhances FPS and stability</li>
  <li style="text-align:justify;">Esync is the weaker version of Fsync available on most kernels</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Some more useful links</h2>
<ul>
  <li style="text-align:justify;"><a href="https://forum.garudalinux.org/t/the-ultimate-guide-to-install-epic-games-gta-5-using-heroic-launcher-in-any-linux-distro/7150">How to set up your GTA 5 from Epic Store, as well as any other Epic Store game</a></li>
  <li style="text-align:justify;"><a href="https://forum.garudalinux.org/t/the-big-thread-about-performance/2404">THE big thread about performance</a></li>
  <li style="text-align:justify;"><a href="https://forum.garudalinux.org/t/what-games-do-you-play-on-garuda/3110">What games do Garuda users play</a></li>
  <li style="text-align:justify;"><a href="https://forum.garudalinux.org/t/so-what-about-garuda-minecraft-server/7201">Garuda Minecraft server???</a></li>
</ul>
